class InvalidMethodError(Exception):
    """Exception raised for unsupported HTTP methods."""

    pass


class InvalidDataTypeError(Exception):
    """Exception raised for unsupported data types."""

    pass


class APIRequestError(Exception):
    """Exception raised for API request errors."""

    def __init__(self, status_code, message):
        self.status_code = status_code
        self.message = message
        super().__init__(f"API Request Failed: {status_code} - {message}")
