from django.db import models


class Post(models.Model):
    id = models.AutoField(primary_key=True)
    reddit_id = models.CharField(max_length=255, unique=True)
    title = models.CharField(max_length=255)
    name = models.CharField(max_length=255)
    url = models.CharField(max_length=555)
    created_utc = models.FloatField()
    selftext = models.CharField(max_length=2555, blank=True, null=True)
    permalink = models.CharField(max_length=255)
    updated_at = models.DateTimeField(auto_now=True)


class PostAnalytics(models.Model):
    id = models.AutoField(primary_key=True)
    post = models.ForeignKey(Post, on_delete=models.CASCADE)
    num_comments = models.IntegerField()
    score = models.IntegerField()
    upvote_ratio = models.FloatField()
    created_at = models.DateTimeField(auto_now=True)